rabbit.h File Reference

Classes for Rabbit stream cipher. More...

Go to the source code of this file.

## Classes

struct | RabbitInfo
| Rabbit stream cipher information. More...
struct | RabbitWithIVInfo
| Rabbit stream cipher information. More...
class | RabbitPolicy
| Rabbit stream cipher implementation. More...
class | RabbitWithIVPolicy
| Rabbit stream cipher implementation. More...
struct | Rabbit
| Rabbit stream cipher. More...
struct | RabbitWithIV
| Rabbit stream cipher. More...

## Detailed Description

Classes for Rabbit stream cipher.

See also
  The eSTREAM Project | Rabbit and Crypto++ Wiki | Rabbit.

Since
  Crypto++ 8.0

Definition in file rabbit.h.